Subject: New version of certspec (02) incorporating Dale's feedback

From: Sean Leonard <[email-masked]>
Date: Thu, 7 Nov 2013 19:24:06 -0800

Hello URN/Apps folks, and SAAG folks:

A new version of the Internet-Draft draft-seantek-certspec (02) has been posted to the IETF repository. I would like to notify this list for further commentary.

Dale Worley provided excellent feedback on the urn-nid mailing list, all of which I considered and most of which I incorporated. Some of the changes are significant; the most significant changes are tightening up the acceptable characters for various certspec productions, and referring and conforming to URNBIS (http://tools.ietf.org/html/draft-ietf-urnbis-rfc2141bis-urn-06) as much as possible, instead of RFC 2141. I also changed a lot of nomenclature to be consistent--for example, I refer to certificates encoded in their entirety as "content-based certspecs" rather than "value-based certspecs" (in contrast to certificate identifiers by reference), since "certspec-value" is the counterpart to "certspec-type". I will respond to Dale's feedback on the urn-nid list.

Kind regards,

Sean

**************
Subject: New Version Notification for draft-seantek-certspec-02.txt

A new version of I-D, draft-seantek-certspec-02.txt
has been successfully submitted by Sean Leonard and posted to the
IETF repository.

Filename:	 draft-seantek-certspec
Revision:	 02
Title:		 A Uniform Resource Name (URN) Namespace for Certificates
Creation date:	 2013-11-08
Group:		 Individual Submission
Number of pages: 19
URL:             http://www.ietf.org/internet-drafts/draft-seantek-certspec-02.txt
Status:          http://datatracker.ietf.org/doc/draft-seantek-certspec
Htmlized:        http://tools.ietf.org/html/draft-seantek-certspec-02
Diff:            http://www.ietf.org/rfcdiff?url2=draft-seantek-certspec-02

Abstract:
  Digital certificates are used in many systems and protocols to
  identify and authenticate parties.  This document describes a Uniform
  Resource Name (URN) namespace that identifies certificates.  These
  URNs can be used when certificates need to be identified by value or
  reference.